<?php

	namespace VLW\API;

	use vlw\xEnum;

	// Enum of all available VLW endpoints grouped by category
	enum Endpoints: string {
		use xEnum;
		
		case WORK                  = "/work";
		case SEARCH                = "/search";
		case COFFEE                = "/coffee";
		case MESSAGES              = "/messages";
		case WORK_TAGS             = "/work/tags";
		case WORK_ACTIONS          = "/work/actions";
		case COFFEE_STATS          = "/coffee/stats";
		case WORK_TIMELINE         = "/work/timeline";
		case ABOUT_LANGUAGES       = "/about/languages";
	}